<?php
error_reporting(0);
include('../start.php');
include("../config.php");
include("../includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime()); 
$headtime = $sec + $msec;
$ttl="Правила Модеров";
$ref = rand(1000, 9999);


switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"index.php?ver=wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";

echo "<b>Модератор обязан:</b><br/>\n";
echo "1. Соблюдать общие правила чата.<br/>\n";
echo "2. Помогать разрешать конфликты между участниками чата.<br/>\n";
echo "3. Модератор должен быть беспристрастным.<br/>\n";
echo "4. Блокировать пользователей за нарушение правил:<br/>\n";
echo "4.1. За легкий мат блокировка должна быть не более чем на 3600 секунд (час). Если это было в первый раз, <b>то необходимо просто сделать предупреждение.</b><br/>\n";
echo "4.2. В других случаях за ненормативную лексику блок не должен превышать 86400 секунд (сутки). Мат, прикрытый звездочками (*) не следует игнорировать.<br/>\n";
echo "4.3. За провакационные ники, ники с ненормативной лексикой следует блокировать пользователя по нику, сначала сделав предупреждение.<br/>\n";
echo "4.4. За пропагандирование насилия, националистических и политических лозунгов, разжигание межнациональной розни, преднамеренного создания кофликтных ситуаций следует сделать предупреждение, а во второй раз блокировать пользователя по нику.<br/>\n";
echo "4.5. За флуд следует блокировать пользователя максимум на 86400 секунд (сутки). В чате есть система антифлуда, поэтому настоящий флуд невозможен.<br/>\n";
echo "4.6. За плагиат ников необходимо банить ник.<br/>\n";
echo "4.7. Если пользователь, нарушивший правила чата, не дожидается срока разбана, то за повторное нарушение следует блокировать пользователя по IP+UA, либо по нику в зависимости от обстоятельств.<br/>\n";
echo "4.8. За преднамеренную рекламу следует немедленно блокировать пользователя по никнейму.<br/>\n";
echo "4.9  За непреднамеренную рекламу следует объяснить пользователю, что давать ссылки на сторонние ресурсы запрещено правилами.<br/>\n";
echo "4.10. За грубое отношение к Модераторам (любым) следует делать предупреждение пользователю. Если это повториться, то блокировка может быть от 86400 секунд (сутки) до блокировки ника.<br/><br/>\n";
echo "Также, если пользователь чата может менять IP и/или UserAgent, тем самым уходя от бана, то следует сообщить об этом Администраторам.<br/><br/>\n";
echo "<b>Запрещается:</b><br/>\n";
echo "1. Создавать конфликты между участниками чата и другими модераторами.<br/>\n";
echo "2. Блокировать других Модераторов и Администраторов.<br/>При попытке это сделать Администраторам станет известно время, дата, а также никнейм пользователя, которого вы пытались забанить.<br/>
Вы будете немедленно сняты с должности.<br/>\n";
echo "3. Изменять статус другим Модераторам и Администраторам.<br/>\n";
echo "4. Делать объявления пользователям от имени Администрации чата.<br/>\n";
echo "5. Создавать новость с поздравлением определённых пользователей!.<br/>\n";
echo "6. Категорически запрещается использовать должность в личных целях.<br/>\n";
echo "7. Пытаться узнать данные (IP-адреса, UserAgent'ы, пароли) Администраторов :)<br/>
Это невозможно, можете не стараться.<br/>\n";
echo "8. Запрещается хвастаться перед участниками чата, что у вас есть вот такая кнопочка, а у них нет.<br/><br/>\n";
echo "При нарушении этих правил Модератор будет снят с должности без права восстановления.<br/>
Если вы не знаете как поступить в той или иной ситуации, то обращайтесь к Администраторам.<br/>
Разрешено чистить комнаты только тогда, когда вы не можете попасть в комнату (какая-то WML-ошибка) или когда счетчик внизу страницы превышает одну секунду<br/>
Следует помнить, что действия всех Модераторов конролируются.<br/>
Также приветствуется частое пребывание в чате :)<br/>\n";
echo "• <a href=\"../menu.php?".SID."&amp;ver=wml\">В прихожую</a><br/>\n";
echo"$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

echo '<div class="d1">';
echo "<b>Модератор обязан:</b><br/>\n";
echo'</div>';
echo "1. Соблюдать общие правила чата.<br/>\n";
echo "2. Помогать разрешать конфликты между участниками чата.<br/>\n";
echo "3. Модератор должен быть беспристрастным.<br/>\n";
echo "4. Блокировать пользователей за нарушение правил:<br/>\n";
echo "4.1. За легкий мат блокировка должна быть не более чем на 3600 секунд (час). Если это было в первый раз, <b>то необходимо просто сделать предупреждение.</b><br/>\n";
echo "4.2. В других случаях за ненормативную лексику блок не должен превышать 86400 секунд (сутки). Мат, прикрытый звездочками (*) не следует игнорировать.<br/>\n";
echo "4.3. За провакационные ники, ники с ненормативной лексикой следует блокировать пользователя по нику, сначала сделав предупреждение.<br/>\n";
echo "4.4. За пропагандирование насилия, националистических и политических лозунгов, разжигание межнациональной розни, преднамеренного создания кофликтных ситуаций следует сделать предупреждение, а во второй раз блокировать пользователя по нику.<br/>\n";
echo "4.5. За флуд следует блокировать пользователя максимум на 86400 секунд (сутки). В чате есть система антифлуда, поэтому настоящий флуд невозможен.<br/>\n";
echo "4.6. За плагиат ников необходимо банить ник.<br/>\n";
echo "4.7. Если пользователь, нарушивший правила чата, не дожидается срока разбана, то за повторное нарушение следует блокировать пользователя по IP+UA, либо по нику в зависимости от обстоятельств.<br/>\n";
echo "4.8. За преднамеренную рекламу следует немедленно блокировать пользователя по никнейму.<br/>\n";
echo "4.9  За непреднамеренную рекламу следует объяснить пользователю, что давать ссылки на сторонние ресурсы запрещено правилами.<br/>\n";
echo "4.10. За грубое отношение к Модераторам (любым) следует делать предупреждение пользователю. Если это повториться, то блокировка может быть от 86400 секунд (сутки) до блокировки ника.<br/><br/>\n";
echo "Также, если пользователь чата может менять IP и/или UserAgent, тем самым уходя от бана, то следует сообщить об этом Администраторам.<br/>\n";
echo '<div class="d1">';
echo "<b>Запрещается:</b><br/>\n";
echo'</div>';
echo "1. Создавать конфликты между участниками чата и другими модераторами.<br/>\n";
echo "2. Блокировать других Модераторов и Администраторов.<br/>При попытке это сделать Администраторам станет известно время, дата, а также никнейм пользователя, которого вы пытались забанить.<br/>
Вы будете немедленно сняты с должности.<br/>\n";
echo "3. Изменять статус другим Модераторам и Администраторам.<br/>\n";
echo "4. Делать объявления пользователям от имени Администрации чата.<br/>\n";
echo "5. Создавать новость с поздравлением определённых пользователей!.<br/>\n";
echo "6. Категорически запрещается использовать должность в личных целях.<br/>\n";
echo "7. Пытаться узнать данные (IP-адреса, UserAgent'ы, пароли) Администраторов :)<br/>
Это невозможно, можете не стараться.<br/>\n";
echo "8. Запрещается хвастаться перед участниками чата, что у вас есть вот такая кнопочка, а у них нет.<br/><br/>\n";
echo "При нарушении этих правил Модератор будет снят с должности без права восстановления.<br/>
Если вы не знаете как поступить в той или иной ситуации, то обращайтесь к Администраторам.<br/>
Разрешено чистить комнаты только тогда, когда вы не можете попасть в комнату (какая-то WML-ошибка) или когда счетчик внизу страницы превышает одну секунду<br/>
Следует помнить, что действия всех Модераторов конролируются.<br/>
Также приветствуется частое пребывание в чате :)<br/>\n";

echo '<div class="d1">';
echo "• <a href=\"../menu.php?".SID."&amp;ver=html\">В прихожую</a><br/>";
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";

break;
}
?>